Subject: Re: [Gen-art] Gen_ART review of draft-santesson-auth-context-extension-10

From: Jari Arkko <[email-masked]>
Date: Fri, 20 Nov 2015 03:12:16 +0200

Thanks for your review, Jouni!

(Authors, did you see this review - wanted to make sure no information is lost.)

Jari

On 16 Oct 2015, at 01:56, jouni korhonen <[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please resolve these comments along with any other Last Call comments
> you may receive.
> 
> Document:draft-santesson-auth-context-extension-10
> Reviewer: Jouni Korhonen
> Review Date: Oct-15-2015
> IETF LC End Date: Oct-27-2015
> IESG Telechat date: not yet
> 
> 
> Summary:
> --------
> 
> Ready for publication as an Informational RFC.
> 
> Comments:
> ---------
> 
> I do not have deep expertise on the area this I-D covers. Having read it through and knowing the solution is already deployed for few years I have no technical comments.
> 
> Minor issues/nits:
> ------------------
> 1) IDNits result that need to be addressed:
>    ** The abstract seems to contain references ([RFC5280], [SAML]), which it
>       shouldn't.  Please replace those with straight textual mentions of the
>       documents in question.
> 
> 2) == Unused Reference: 'RFC5322' is defined on line 416, but no explicit
>       reference was found in the text
> 
> 
> 3) Since this targets Informational RFC I wouldn't mind seeing all references
>    except RFC2119 as informational references and not normative. We could argue
>    whether RFC2119 language is needed at all (but no strong opinion here).
> 4) Introduction third paragraph:
>    * expand SAML on the first occurrence
>    * I would welcome a reference for "SAML federation"
> 
> 5) Introduction eight paragraph:
>    * expand CA on the first occurrence
> 6) Section 3.1.2:
>    * expand OID on the first occurrence (now it comes after the paragraph
>      explaining "Ref")
>    * three times  s/REF/Ref
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Stefan Santesson <[email-masked]>
Date: Sun, 22 Nov 2015 23:18:45 +0100

Thank you,

I have now seen this and I will address this in the final document update.

/Stefan

---

From: Jari Arkko <[email-masked]>
Date: Wed, 25 Nov 2015 15:08:16 +0200

thanks